<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Slide_sidang_m extends CI_Model{
	function getJadwalSidang($tanggalSidang){		
		try {
			$query = "SELECT b.klasifikasiPerkara IDAlurPerkara,b.noPerkara,b.pihakPertama penggugat,b.pihakKedua tergugat,b.pihakKeempat turut_tergugat,
				a.agenda agendaSidang,a.ruangan ruangSidang
				FROM jadwalsidangweb a
				JOIN dataumumweb b ON a.IDPerkara=b.IDPerkara
				WHERE a.tglSidang='$tanggalSidang';";
			$sql=$this->db->query($query);
			return $sql;
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	/*function getJadwalSidang($alurPerkara,$tanggalSidang){
		try {
			$query = "SELECT
				perkara.perkara_id AS IDPerkara,
				perkara.nomor_perkara AS noPerkara,
				jadwalSidang.ruangan AS ruangSidang, 
				jadwalSidang.agenda AS agendaSidang,
				perkara.pihak1_text AS pihak1,
				perkara.pihak2_text AS pihak2,
				perkara.para_pihak AS paraPihak,
				(SELECT GROUP_CONCAT(CONCAT(perkara_hakim_pn.jabatan_hakim_nama,': ',hakim_pn.nama_gelar) SEPARATOR '<br/>')
					FROM perkara_hakim_pn
					LEFT JOIN hakim_pn ON hakim_pn.id=perkara_hakim_pn.hakim_id
					WHERE perkara_hakim_pn.perkara_id=perkara.perkara_id AND perkara_hakim_pn.aktif = 'Y'
					ORDER BY perkara_hakim_pn.urutan ASC) AS namaHakim,
				(SELECT GROUP_CONCAT(panitera_pn.nama_gelar SEPARATOR '<br/>')
					FROM perkara_panitera_pn
					LEFT JOIN panitera_pn ON panitera_pn.id=perkara_panitera_pn.panitera_id
					WHERE perkara_panitera_pn.perkara_id=perkara.perkara_id AND perkara_panitera_pn.aktif = 'Y'
					ORDER BY perkara_panitera_pn.urutan ASC) AS namaPanitera
				FROM perkara_jadwal_sidang AS jadwalSidang
				LEFT JOIN perkara ON perkara.perkara_id=jadwalSidang.perkara_id
				WHERE jadwalSidang.tanggal_sidang='".$tanggalSidang."' ";
			if($alurPerkara==1){
				$query .= "AND perkara.alur_perkara_id >= '111' AND perkara.alur_perkara_id <> '114'";
			} else {
				$query .= "AND perkara.alur_perkara_id <= '100'";
			}
			$sql=$this->db->query($query);
			return $sql;
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}*/

	function getJadwalPersiapan($tanggalSidang){
		try {
			$query =
					"
					SELECT
					perkara.perkara_id AS IDPerkara,
					perkara.nomor_perkara AS noPerkara,
					jadwalSidang.agenda_musyawarah AS agendaSidang,
					perkara.pihak1_text AS pihak1,
					perkara.pihak2_text AS pihak2,
					perkara.para_pihak AS paraPihak,
					(SELECT GROUP_CONCAT(CONCAT(perkara_hakim_pn.jabatan_hakim_nama,': ',hakim_pn.nama_gelar) SEPARATOR '<br/>')
						FROM perkara_hakim_pn
						LEFT JOIN hakim_pn ON hakim_pn.id=perkara_hakim_pn.hakim_id
						WHERE perkara_hakim_pn.perkara_id=perkara.perkara_id AND perkara_hakim_pn.aktif = 'Y'
						ORDER BY perkara_hakim_pn.urutan ASC) AS namaHakim,
					(SELECT GROUP_CONCAT(panitera_pn.nama_gelar SEPARATOR '<br/>')
						FROM perkara_panitera_pn
						LEFT JOIN panitera_pn ON panitera_pn.id=perkara_panitera_pn.panitera_id
						WHERE perkara_panitera_pn.perkara_id=perkara.perkara_id AND perkara_panitera_pn.aktif = 'Y'
						ORDER BY perkara_panitera_pn.urutan ASC) AS namaPanitera
					FROM perkara_persiapan_proses AS jadwalSidang
					LEFT JOIN perkara ON perkara.perkara_id=jadwalSidang.perkara_id
					WHERE jadwalSidang.tanggal_musyawarah='".$tanggalSidang."' 
					";
			$sql=$this->db->query($query);
			return $sql;
			echo json_encode($sql);
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function getNamaPN(){
		try {
			$sql=$this->db->query("SELECT value AS namaPN FROM sys_config WHERE NAME='NamaPN'");
			return $sql->result();
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function getSystemInfo(){
		try {
            if($this->db=='xxx'){
                show_error('Database belum disetting.');
            }
			$this->db->select('*');
			$this->db->where('id >=', 61); 
			return $this->db->get('sys_config');
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}
}
?>